﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace WinGrid_Save_Load_Layout
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        string _settings = Application.StartupPath + @"\settings.xml";

        private void Form1_Load(object sender, EventArgs e)
        {
            //Load Settings
            if (File.Exists(_settings))
            {
                this.ultraGrid1.DisplayLayout.LoadFromXml(
                    _settings, 
                    Infragistics.Win.UltraWinGrid.PropertyCategories.All);
            }
            //Get Data
            this.ordersTableAdapter.Fill(this.nwindDataSet.Orders);
            this.order_DetailsTableAdapter1.Fill(this.nwindDataSet.Order_Details);
            
            //Set PropertyGrid to WinGrid's DisplayLayout property
            this.propertyGrid1.SelectedObject = this.ultraGrid1.DisplayLayout;
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            //Save Layout
            this.ultraGrid1.DisplayLayout.SaveAsXml(
                _settings, 
                Infragistics.Win.UltraWinGrid.PropertyCategories.All);
        }

        private void toolStripButton1_Click(object sender, EventArgs e)
        {
            string xl = Application.StartupPath + @"\theExcelFile.xls";
            this.ultraGridExcelExporter1.Export(this.ultraGrid1, xl);
            System.Diagnostics.Process.Start(xl);
        }

    }
}
